<?php
/**
* ProfileLinks Tab Class for handling the CB tab api
* @version $Id$
* @package Community Builder
* @subpackage cb.profilelinks.php
* @author Gilad Dayagi
* @copyright (C) 2006 Gilad Dayagi, www.hbrlabs.com
* @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
*/

class getLinksTab extends cbTabHandler {
	/**
	* Constructor
	*/
	function getLinksTab() {
		$this->cbTabHandler();
	}

	function getDisplayTab($tab,$user,$ui) {
		$params=$this->params;
		$idinsert		= $params->get('idInsertOption', "0");
		$menuName		= $params->get('menuName', 'Options');
		
		global $database, $my;
		
		//replace %u for userid, %n for username
		if ($idinsert == 0) $idName = $database->getEscaped($user->id);
		else $idName = $database->getEscaped($user->username);

		if ($menuName != "") {
			//$mi = array(); 
			//$mi[$menuName]='';
			
			//First submenu
			$subMenu01Name	= $params->get('subMenu01Name', '');
			$subMenu01Href	= $params->get('subMenu01Href', '');
			if (($subMenu01Name != "") && ($subMenu01Href != "")) {
				$subMenu01Href = sprintf($subMenu01Href, $idName);				
				$mi = array(); 
				$mi[$menuName]["_UE_FIRST"]=null;
				$this->addMenu( array(	"position"	=> "menuBar" ,
								"arrayPos"	=> $mi ,
								"caption"	=> getLangDefinition($subMenu01Name),
								"url"		=> sefRelToAbs($subMenu01Href) ,
								"target"	=> "" ,
								"img"		=> null ,
								"alt"		=> null ,
								"tooltip"	=> "") );
			}
			
			//Second submenu	
			$subMenu02Name	= $params->get('subMenu02Name', '');
			$subMenu02Href	= $params->get('subMenu02Href', '');
			if (($subMenu02Name != "") && ($subMenu02Href != "")){
					$subMenu02Href = sprintf($subMenu02Href, $idName);
					$mi = array(); $mi[$menuName]["_UE_SECOND"]='';
					$this->addMenu( array(	"position"	=> "menuBar" ,
								"arrayPos"	=> $mi ,
								"caption"	=> getLangDefinition($subMenu02Name),
								"url"		=> sefRelToAbs($subMenu02Href) ,
								"target"	=> "" ,
								"img"		=> null ,
								"alt"		=> null ,
								"tooltip"	=> "") );
			}
			
			//Third submenu
			$subMenu03Name	= $params->get('subMenu03Name', '');
			$subMenu03Href	= $params->get('subMenu03Href', '');
			if (($subMenu03Name != "") && ($subMenu03Href != "")){
					$subMenu03Href = sprintf($subMenu03Href, $idName);
					$mi = array(); $mi[$menuName]["_UE_THIRD"]='';
					$this->addMenu( array(	"position"	=> "menuBar" ,
								"arrayPos"	=> $mi ,
								"caption"	=> getLangDefinition($subMenu03Name),
								"url"		=> sefRelToAbs($subMenu03Href) ,
								"target"	=> "" ,
								"img"		=> null ,
								"alt"		=> null ,
								"tooltip"	=> "") );
			}
		}
	} //end getDisplayTab
}	//end class getLinksTab.
?>